Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 26/08/2013, à 20:51

Julieng

QWT/QT5 - impossible de compiler

Bonjour,

je cherche à intégrer du QWT dans un programme QT 5.0.1 (64 bits). J'ai installé les librairies libqwt-dev et libqwt6 à l'aide de Synaptic. Je suis sous Ubuntu 13.04.

J'ai essayé de nombreuses options dans le ".pro" trouvées dans divers forums :

CONFIG += qwt
INCLUDEPATH += /usr/include/qwt
LIBS += -L/usr/lib
LIBS += -L/usr/lib -lqwt
LIBS += -L/usr/lib -lqwt
LIBS += -L/usr/lib/libqwt.so -lqwt

J'inclue les headers :

#include <qwt/qwt.h>
#include <qwt/qwt_plot.h>
#include <qwt/qwt_plot_curve.h>

Je développe dans QTcreator 2.7.0 qui trouve bien les fonctions (coloration syntaxique, documentation, signatures...).

Mais dès que j'appelle le moindre widget QWT (QwtPlot * myPlot = new QwtPlot(QwtText("Curve" ), this) ), le programme se termine avant même d'afficher la moindre fenêtre et QTcreator retourne : The program has unexpectedly finished.

Est-ce que quelqu'un aurait une idée pour me dépanner ? Merci d'avance !!

Hors ligne

#2 Le 26/08/2013, à 21:16

Julieng

Re : QWT/QT5 - impossible de compiler

Finalement, j'ai essayé de ré-installer QWT "à la main". Quand je fais make, j'ai des erreurs.

Il me demandait la librairie SVG, j'ai donc installé "libqt5svg5-dev" mais maintenant, il me demande designer :
Project ERROR: Unknown module(s) in QT: designer

Là, je cale...

Hors ligne

#3 Le 26/08/2013, à 21:43

Julieng

Re : QWT/QT5 - impossible de compiler

Ca marche si je commente les lignes :

QWT_CONFIG += QwtDesigner

et

QWT_INSTALL_PLUGINS = $${QWT_INSTALL_PREFIX}/plugins/designer

dans le fichier qwtconfig.pri.

Si vous avez des idées, j'aimerais bien tout installer correctement, comme expliqué dans la doc QWT !

Hors ligne

Haut de page ↑